# Gimp.Config.serialize_to_file

    @accepts(Gimp.Config, Gio.File, unicode, unicode, gpointer)
    @returns(bool)
    def serialize_to_file(self, file, header, footer, data):
        # Python wrapper for gimp_config_serialize_to_file()

Serializes the object properties of self to the file specified by file. If a file with that name already exists, it is overwritten. Basically this function opens file for you and calls the serialize function of the self's [iface@ConfigInterface].

Since 2.10

self

  an object that implements [iface@ConfigInterface].

file

  the file to write the configuration to.

header

  optional file header (must be ASCII only)

footer

  optional file footer (must be ASCII only)

data

  user data passed to the serialize implementation.

Returns